Microsoft.Build.Engine 2.0.0.0 System.Object

A represents an vstecmsbuild project. It is a container for items, properties and targets. It can load project content from in-memory XML or from an XML file, and can save to an XML file, preserving most whitespace and all XML comments.

Every must be associated with an to access shared information. During a build, the object keeps track of which projects are currently building.

Represents a project that can be built using vstecmsbuild.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class using the supplied .

  The instance to use for creating the project in memory.
  2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added.

  Add an Import element to the end of the project.

  2.0.0.0
- Method
  Microsoft.Build.BuildEngine.BuildItem `` ``

  This method attempts to add the item to the project near the other items in the item collection.

  Adds the specified Item element to the project.

  A containing the created item.

  The name of the item collection to add the item to. Corresponds to the user-defined name of the Item element. The value of the Include attribute of the item. 2.0.0.0
- Method
  Microsoft.Build.BuildEngine.BuildItem `` `` ``

  This method attempts to add the item to the project near the other items in the item collection.

  Adds the specified Item element to the project.

  A containing the created item.

  The name of the item collection to add the item to. Corresponds to the user-defined name of the Item element. The value of the Include attribute of the item. true to treat the parameter as a literal value; otherwise, false. 2.0.0.0
- Method
  Microsoft.Build.BuildEngine.BuildItemGroup To be added.

  Adds a new ItemGroup element to the project.

  A containing the created item group.

  2.0.0.0
- Method
  Microsoft.Build.BuildEngine.BuildPropertyGroup `` To be added.

  Adds a new PropertyGroup element to the project.

  A containing the created property group.

  true to insert the PropertyGroup at the end of the project; otherwise, false. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Adds a new UsingTask element with the specified assembly file.

  The name of the task to reference from the assembly. Corresponds to the TaskName attribute of the UsingTask element. The file path to the assembly. Corresponds to the AssemblyFile attribute of the UsingTask element. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Adds a new UsingTask element with the specified assembly name.

  The name of the task to reference from the assembly. Corresponds to the TaskName attribute of the UsingTask element. The name of the assembly to load. Corresponds to the AssemblyName attribute of the UsingTask element. 2.0.0.0
- Method
  System.Boolean To be added.

  Builds the default targets of the project.

  true if the build was successful; otherwise, false.

  2.0.0.0
- Method
  System.Boolean `` To be added.

  Builds the specified target in the project.

  true if the build was successful; otherwise, false.

  The target to build. 2.0.0.0
- Method
  System.Boolean `` To be added.

  Builds the specified list of targets in the project.

  true if the build was successful; otherwise, false.

  The list of targets to build. This parameter can be a null reference (Nothing in vbprvb) to build the default targets. 2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Builds the specified list of targets in the project, and returns the outputs of the targets.

  true if the build was successful; otherwise, false.

  The list of targets to build. This parameter can be a null reference (Nothing in vbprvb) to build the default targets. The outputs of the built targets. This parameter can be a null reference (Nothing) if outputs are not needed. 2.0.0.0
- Method
  System.Boolean `` `` `` To be added.

  Builds the specified list of targets in the project using the specified settings, and returns the outputs of the targets.

  true if the build was successful; otherwise, false.

  The list of targets to build. This parameter can be a null reference (Nothing in vbprvb) to build the default targets. The outputs of the built targets. This parameter can be a null reference (Nothing) if outputs are not needed. The to apply to the build. 2.0.0.0
- Property
  System.Boolean To be added.

  By default, this property uses value of the property of the project's .

  Gets or sets a value indicating whether the project is enabled for building tasks and targets.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets the DefaultTargets attribute of the Project element in the vstecmsbuild project.

  2.0.0.0
- Property
  System.Text.Encoding To be added. To be added.

  Gets the encoding for the project file.

  2.0.0.0
- Property
  Microsoft.Build.BuildEngine.BuildItemGroup To be added.

  The returned contains all the evaluated items in the project after wildcard and property expansion. The items in this property represent the actual items used during the build process. This property value is generated every time something in the project changes. Changes to existing items in this collection will be reflected the next time the project is saved, but adding or deleting items will not impact the project.

  Gets a collection of the items evaluated during the build.

  2.0.0.0
- Property
  Microsoft.Build.BuildEngine.BuildItemGroup To be added.

  The returned contains all items in the project after wildcard and property expansion, including those that were not used during the build process due to Condition attributes evaluating to false. This property value is only generated when certain changes occur, such as a new Import element being added to the project. Adding or deleting items from this property does not impact the project.

  Gets a collection of all items in a project, even those not used in the build process because a Condition attribute evaluated to false.

  2.0.0.0
- Property
  Microsoft.Build.BuildEngine.BuildPropertyGroup To be added.

  The returned contains all the evaluated properties in the project after performing condition evaluation and property expansion. The properties in this collection include global properties, environment variables, reserved properties, and imported properties. Changes to existing properties in this collection will be reflected the next time the project is saved, but adding or deleting properties will not impact the project.

  Cloning a can negatively impact performance. Only use a copy of this property when it is strictly necessary.

  Gets a collection of the properties evaluated during the build.

  2.0.0.0
- Property
  System.String To be added.

  This property is an empty string if the project does not have a file associated with it.

  Gets or sets the fully qualified path and file name of the project file.

  2.0.0.0
- Method
  System.String[] ``

  This method generates the list of possible values by inspecting all of the Condition attributes in the project that involve the property.

  Returns a list of possible values for the specified property.

  The list of possible values for the property.

  The property to use when generating the list of possible values. 2.0.0.0
- Method
  Microsoft.Build.BuildEngine.BuildItemGroup `` To be added.

  Returns all evaluated items belonging to the specified item collection.

  A containing all of the evaluated items belonging to the specified item collection.

  The name of the item collection. 2.0.0.0
- Method
  Microsoft.Build.BuildEngine.BuildItemGroup `` To be added.

  Returns all items belonging to the specified item collection.

  A containing all items belonging to the specified item collection, even those not used in the build process because a Condition attribute evaluated to false..

  The name of the specified item collection. 2.0.0.0
- Method
  System.String ``

  If you need to retrieve a large number of property values, use the property.

  Returns the value of the specified property.

  The value of the specified property.

  The name of the property. 2.0.0.0
- Method
  System.String `` To be added.

  Returns a string value of the XML from the specified element in the ProjectExtensions element.

  The string value of the specified element in the ProjectExtensions element of the project.

  The name of the element in the ProjectExtensions element to return. 2.0.0.0
- Property
  Microsoft.Build.BuildEngine.BuildPropertyGroup To be added.

  Global properties are properties set with the /property switch on the command line, or properties set by the integrated development environment before invoking vstecmsbuild. For more information, see MSBuild Command Line Reference.

  Gets or sets a collection of the global properties for the project.

  2.0.0.0
- Property
  Microsoft.Build.BuildEngine.ImportCollection To be added.

  Imported projects are specified by the Import element in the project.

  Gets the projects imported into this project.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets the InitialTargets attribute of the Project element in the vstecmsbuild project.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether the project has changed and needs to be saved to a file.

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether the project is to be validated against a schema.

  2.0.0.0
- Property
  Microsoft.Build.BuildEngine.BuildItemGroupCollection To be added.

  The returned by this property contains the item groups in this project and all imported projects.

  Gets a collection of the item groups specified with the ItemGroup element in the project.

  2.0.0.0
- Method
  System.Void `` To be added.

  Loads the contents of the specified into the object.

  The to load. 2.0.0.0
- Method
  System.Void `` To be added.

  Loads the contents of the specified project file into the object.

  The project file to load. 2.0.0.0
- Method
  System.Void `` To be added.

  Loads the contents of the specified string into the object.

  The string of XML to load. 2.0.0.0
- Method
  System.Void To be added.

  Sets the property of the project to true.

  2.0.0.0
- Property
  Microsoft.Build.BuildEngine.Engine To be added. To be added.

  Gets the that builds the project.

  2.0.0.0
- Property
  Microsoft.Build.BuildEngine.BuildPropertyGroupCollection To be added.

  The returned by this property contains the property groups in this project and all imported projects.

  Gets a collection of the property groups specified with the PropertyGroup element in the project.

  2.0.0.0
- Method
  System.Void To be added.

  Removes all item groups from the project, but does not modify imported projects.

  2.0.0.0
- Method
  System.Void To be added.

  Removes all property groups from the project, but does not modify imported projects.

  2.0.0.0
- Method
  System.Void `` To be added.

  Removes the specified item from the project.

  The item to remove from the project. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the specified item group from the project.

  The item group to remove from the project. 2.0.0.0
- Method
  System.Void `` To be added. To be added.

  Removes all item groups with the specified condition from the project, but does not modify imported projects.

  2.0.0.0
- Method
  System.Void `` To be added.

  Removes all items in the specified item collection from the project, but does not modify imported projects.

  The item collection to remove. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the specified property group from the project.

  The property group to remove from the project. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes all property groups with the specified condition from the project, but does not modify imported projects.

  The condition to match when removing property groups. 2.0.0.0
- Method
  System.Void To be added.

  Resets the status every target in the project so that the next build will build all targets again.

  2.0.0.0
- Method
  System.Void `` To be added. To be added.

  Saves the project in the specified object.

  2.0.0.0
- Method
  System.Void `` To be added.

  Saves the project to the specified file.

  The name of the file in which to save the project. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Saves the project in the specified file with the specified encoding.

  The name of the file in which to save the project. The value with which to save the file. 2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets the XML schema file to use when validating the project.

  2.0.0.0
- Method
  System.Void `` `` `` `` To be added.

  Sets the value of a property in the specified imported project.

  The name of the property to change. The value to assign the property. The condition to use on the property. Corresponds to the Condition attribute of the Property element. The that contains the specified property. 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added.

  Sets the value of a property in the specified imported project.

  The name of the property to change. The value to assign the property. The condition to use on the property. Corresponds to the Condition attribute of the Property element. The that contains the specified property. A value indicating the location to insert the property. 2.0.0.0
- Method
  System.Void `` `` `` `` `` ``

  Sets the value of a property and optionally escapes it so that it will be treated as a literal value despite any special characters it may contain.

  Sets the value of a property in the specified imported project.

  The name of the property to change. The value to assign the property. The condition to use on the property. Corresponds to the Condition attribute of the Property element. The that contains the specified property. A value indicating the location to insert the property. true to treat the parameter as a literal value; otherwise, false. 2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  Sets the ProjectExtensions element of the project with the specified element name and content.

  The name of the XML element to create as a child of the ProjectExtensions element. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Sets the value of the specified property.

  The name of the property to change. The value to assign the property. 2.0.0.0
- Method
  System.Void `` `` `` To be added.

  Sets the value of the specified property.

  The name of the property to change. The value to assign the property. The condition to use on the property. Corresponds to the Condition attribute of the Property element. 2.0.0.0
- Method
  System.Void `` `` `` ``

  is called from the integrated development environment (IDE) to set a particular property at the project level. This method searches the existing property groups for a property with this name. If one is found, it changes its value. Otherwise, it either adds a new property to that property group, or adds a new property group to the project. uses the parameter to determine the name of the property group place it in.

  Sets the value of the specified property.

  The name of the property to change. The value to assign the property. The condition to use on the property. Corresponds to the Condition attribute of the Property element. A value indicating the location to insert the property. 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added.

  Sets the value of the specified property.

  The name of the property to change. The value to assign the property. The condition to use on the property. Corresponds to the Condition attribute of the Property element. A value indicating the location to insert the property. true to treat the parameter as a literal value; otherwise, false. 2.0.0.0
- Property
  Microsoft.Build.BuildEngine.TargetCollection To be added.

  Targets are specified by the Target element in the project.

  Gets the targets in the project.

  2.0.0.0
- Property
  System.DateTime To be added. To be added.

  Gets a object indicating the time the project was last changed in a way that required it to be saved to a file.

  2.0.0.0
- Property
  Microsoft.Build.BuildEngine.UsingTaskCollection To be added. To be added.

  Gets a collection of the UsingTask elements in the project.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the XML representing the project.

  2.0.0.0